{-
/***************************************************************************
 *   Copyright (C) 2004 by Peter Robinson,listener@thaldyron.com           *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         * 
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
-}

module CmdOpts
where
    
import System.Console.GetOpt
import Data.Maybe ( fromMaybe )
    
----------------------------------------------------------------------------------------------------

header = "Usage: fsysmon [OPTION...] files..."

----------------------------------------------------------------------------------------------------

data Flag = Verbose  
          | Version 
          deriving Show
          
----------------------------------------------------------------------------------------------------
    
options :: [OptDescr Flag]
options =
        [ Option ['v']     ["verbose"] (NoArg Verbose)       "chatty output on stderr",
          Option ['V','?'] ["version"] (NoArg Version)       "show version number"
        ]
          
----------------------------------------------------------------------------------------------------
        
cmdOpts :: [String] -> IO ([Flag], [String])
cmdOpts argv = 
        case (getOpt Permute options argv) of
                (o,n,[]  ) -> return (o,n)
                (_,_,errs) -> ioError (userError (concat errs ++ usageInfo header options))

----------------------------------------------------------------------------------------------------